Welche Android- Ziel sollte ich entwickeln Sie ? Android 4,4 W oder Android- 4.4L oder Android- 4.4 kitkat ?

? Savail @ | Original: StackOverFlow
---

Vor kurzem habe ich neuesten Patches heruntergeladen, um den Schatten stellen und Android SDK und jetzt bin ich in der Frage der Entwicklung meiner Anwendung wirklich verwirrt ... Wenn ich ein Spiel auf Handys zu schaffen, sollten Tabletten etc habe ich noch wählen Sie die neueste Ziel wie Android 4.4 W oder sollte ich wählen Android 4.4L oder vielleicht die frühere stabile Version wie 4.4 kitkat ?

---

Top 5 Antwort

1My God @

UPDATE:

Schauen Sie sich die offizielle Dokumentation -

http://developer.android.com/about/dashboards/index.html

Dies erklärt, mit Diagrammen als von dem, was zum Ziel.

| Version       |   Codename               |   API      |  Distribution
------------------------------------------------------------------------------
 2.2            |    Froyo                 |   8        |  0.8%   
------------------------------------------------------------------------------
 2.3.3 -        |
 2.3.7          | Gingerbread              |    10      |  14.9%
------------------------------------------------------------------------------
 4.0.3 -        |
 4.0.4          | Ice Cream Sandwich       |    15      |  12.3%
------------------------------------------------------------------------------
 4.1.x          |    Jelly Bean            |    16      |  29.0%
------------------------------------------------------------------------------
 4.2.x          |                          |    17      |  19.1%
------------------------------------------------------------------------------
 4.3            |                          |    18      |  10.3%
------------------------------------------------------------------------------
 4.4            |    KitKat                |    19      |  13.6%
------------------------------------------------------------------------------

Wie Sie sehen, die 29,0% Verteilung ist für die API- Ebene 16 Jelly Bean .

2Ramakishna Balla @

Wenn Sie die Entwicklung eines Spiels für Tablets und Handys sind, dann nicht etwa 4.4L oder 4.4W denken, wie sie für die unterschiedlichen Zonen -Geräte sind nach dem Release-Informationen von Marco Aciemo Recht gesagt,

Besser Sie mit API 19 dh KitKat Version 4.4.2 arbeiten, wie es ist lediglich mit Tabletten und Geräte